[FAQ CENTER トップ]
[Redhat Enterprise linux 7(EL) FAQ トップへ]


スポンサード リンク



【質問】パッケージ [Package name].rpm は利用できません。

環境:Redhat Enterprise linux 7(EL)


スポンサード リンク


現象


rpmによりインストールを実行すると "パッケージ [Package name].rpm は利用できません。"が表示される場合がある。

# yum --disablerepo=* --enablerepo=c7-media install glibc-devel-2.17-157.el7.x86_64.rpm
読み込んだプラグイン:changelog, fastestmirror, verify, versionlock
Loading mirror speeds from cached hostfile
* c7-media:
パッケージ glibc-devel-2.17-157.el7.x86_64.rpm は利用できません。
エラー: 何もしません



原因


レポジトリ内のrpmを指定しているが、拡張子 .rpm が付加されている。


対処


以下のように、拡張子 .rpm を除外して実行してみる。


# yum --disablerepo=* --enablerepo=c7-media install glibc-devel-2.17-157.el7.x86_64



スポンサード リンク


(*)本ページは CentOS 7.2以後を想定しています。

最終更新日:2017/09/10

[Redhat Enterprise linux 7(EL) FAQ トップへ]
[FAQ CENTER トップ]


本サイト内掲載されている情報は、著作権法により保護されています。いかなる場合でも権利者の許可なくコピー、配布することはできません。 このページはリンクフリーです。(このページへの直接リンクも可能です。) Copyright(c) tooljp.com 2007-2012